<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>PetscObjectStateQuery</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="PetscObjectStateQuery"><H1>PetscObjectStateQuery</H1></A>
Gets the state of any <A HREF="../Sys/PetscObject.html#PetscObject">PetscObject</A>,  regardless of the type. 
<H3><FONT COLOR="#CC3333">Synopsis</FONT></H3>
<PRE>
#include "petsc.h"    
PetscErrorCode  PetscObjectStateQuery(PetscObject obj,PetscInt *state)
</PRE>
Not Collective
<P>
<H3><FONT COLOR="#CC3333">Input Parameter</FONT></H3>
<DT><B>obj </B> -any PETSc object, for example a <A HREF="../Vec/Vec.html#Vec">Vec</A>, <A HREF="../Mat/Mat.html#Mat">Mat</A> or <A HREF="../KSP/KSP.html#KSP">KSP</A>. This must be
cast with a (<A HREF="../Sys/PetscObject.html#PetscObject">PetscObject</A>), for example, 
<A HREF="../Sys/PetscObjectStateQuery.html#PetscObjectStateQuery">PetscObjectStateQuery</A>((<A HREF="../Sys/PetscObject.html#PetscObject">PetscObject</A>)mat,&amp;state);
<br>
<P>
<H3><FONT COLOR="#CC3333">Output Parameter</FONT></H3>
<DT><B>state </B> -the object state
<br>
<P>
Notes: object state is an integer which gets increased every time
the object is changed. By saving and later querying the object state
one can determine whether information about the object is still current.
Currently, state is maintained for <A HREF="../Vec/Vec.html#Vec">Vec</A> and <A HREF="../Mat/Mat.html#Mat">Mat</A> objects.
<P>

<P>
seealso: <A HREF="../Sys/PetscObjectStateIncrease.html#PetscObjectStateIncrease">PetscObjectStateIncrease</A>, <A HREF="../Sys/PetscObjectSetState.html#PetscObjectSetState">PetscObjectSetState</A>
<P>
<P>
<P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>advanced
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/sys/objects/state.c.html#PetscObjectStateQuery">src/sys/objects/state.c</A>
<BR><A HREF="./index.html">Index of all Sys routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
</BODY></HTML>
